import type { _NSError } from "../Foundation/NSError.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MKLookAroundScene } from "./MKLookAroundScene.js";
import type { _MKMapItem } from "./MKMapItem.js";
import type { CLLocationCoordinate2D } from "../structs/CLLocationCoordinate2D.js";
export declare class _MKLookAroundSceneRequest extends _NSObject {
    static alloc(): _MKLookAroundSceneRequest;
    static new(): _MKLookAroundSceneRequest;
    init(): _MKLookAroundSceneRequest;
    initWithCoordinate$(coordinate: CLLocationCoordinate2D): _MKLookAroundSceneRequest;
    initWithMapItem$(mapItem: _MKMapItem): _MKLookAroundSceneRequest;
    getSceneWithCompletionHandler$(completionHandler: ((_result: _MKLookAroundScene, error: _NSError) => void) | null): void;
    cancel(): void;
    coordinate(): CLLocationCoordinate2D;
    mapItem(): _MKMapItem | null;
    cancelled(): boolean;
    loading(): boolean;
}
